Subject: Re: bug#19839: 24.4; ffap does not detect file paths with curly braced shell variables

From: Dmitry Gutov <[email-masked]>
Date: Wed, 08 Apr 2015 03:22:09 +0300

On 04/07/2015 05:26 AM, Kaushal wrote:
> I was able to recreate this consistently in master branch.

Ok, me too.

> Also I noticed that no error is thrown any more (it probably changed
> 24.4 onwards) but ffap still does not work over paths with curly braces.
> My fix fixes that.

Previously, I stopped looking after seeing no error. Didn't actually 
expect that the expansion works.

>               '(file "--:\\\\$\\{\\}+<>@-Z_[:alpha:]~*?" "<@" "@>;.,!:"))

Thank you, the suggested change in now on master.

> Let me know if you also can repeat these steps.

Seems to work now.